OpenVDB 13.0.0

Loading...
Searching...
No Matches
AttributeBindings.h File Reference

The Attribute Bindings class is used by the compiled Executables to handle the mapping of AX Attribute names to context dependent data names, i.e point attribute and volume grid names. More...

`#include <openvdb/version.h>`
`#include <openvdb/util/Name.h>`
`#include <map>`

Go to the source code of this file.

## Classes
class | AttributeBindings
| This class wraps an interface for a map of attribute bindings. These map attributes in AX code to context data. These mappings are one-to-one i.e. each AX name can only map to one data name, however each name can appear as either an AX name or data name or both, i.e. the following sets of bindings are valid: axname: a -> dataname: a axname: b -> dataname: c or axname: a -> dataname: b axname: b -> dataname: a. More...

## Namespaces
namespace | openvdb
namespace | openvdb::v13_0
namespace | openvdb::v13_0::ax

## Functions
std::ostream & | operator<< (std::ostream &os, const AttributeBindings &bindings)

## Detailed Description

The Attribute Bindings class is used by the compiled Executables to handle the mapping of AX Attribute names to context dependent data names, i.e point attribute and volume grid names.

Authors
  Richard Jones